共用方式為


Inbound Rules - List By Nat Gateway

列出指定 NAT 閘道中所有的入站規則。 在回應中使用 nextLink 屬性,就能取得下一頁的入站規則。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureStackHCI/natGateways/{natGatewayName}/inboundRules?api-version=2026-04-01-preview

URI 參數

名稱 位於 必要 類型 Description
natGatewayName
path True

string

pattern: ^[a-zA-Z0-9]$|^[a-zA-Z0-9][-._a-zA-Z0-9]{0,62}[a-zA-Z0-9]$

NAT 閘道的名稱

resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

回應

名稱 類型 Description
200 OK

InboundRuleListResult

Azure 運作順利完成。

Other Status Codes

ErrorResponse

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

ListInboundRulesByNatGateway

範例要求

GET https://management.azure.com/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/test-rg/providers/Microsoft.AzureStackHCI/natGateways/test-nat-gw/inboundRules?api-version=2026-04-01-preview

範例回覆

{
  "value": [
    {
      "name": "rdp-inbound-rule",
      "type": "Microsoft.AzureStackHCI/natGateways/inboundRules",
      "id": "/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/test-rg/providers/Microsoft.AzureStackHCI/natGateways/test-nat-gw/inboundRules/rdp-inbound-rule",
      "extendedLocation": {
        "name": "/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/dogfoodarc/providers/Microsoft.ExtendedLocation/customLocations/dogfood-location",
        "type": "CustomLocation"
      },
      "properties": {
        "protocol": "Tcp",
        "frontendPort": 3389,
        "backendPort": 3389,
        "backendIPConfiguration": {
          "resourceId": "/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/test-rg/providers/Microsoft.AzureStackHCI/networkInterfaces/test-nic/ipConfigurations/ipconfig1"
        },
        "publicIPAddress": {
          "resourceId": "/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/test-rg/providers/Microsoft.AzureStackHCI/publicIPAddresses/test-public-ip"
        },
        "provisioningState": "Succeeded",
        "status": {
          "provisioningStatus": {
            "operationId": "12345678-1234-1234-1234-123456789012",
            "status": "Succeeded"
          }
        }
      }
    },
    {
      "name": "ssh-inbound-rule",
      "type": "Microsoft.AzureStackHCI/natGateways/inboundRules",
      "id": "/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/test-rg/providers/Microsoft.AzureStackHCI/natGateways/test-nat-gw/inboundRules/ssh-inbound-rule",
      "extendedLocation": {
        "name": "/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/dogfoodarc/providers/Microsoft.ExtendedLocation/customLocations/dogfood-location",
        "type": "CustomLocation"
      },
      "properties": {
        "protocol": "Tcp",
        "frontendPort": 22,
        "backendPort": 22,
        "backendIPConfiguration": {
          "resourceId": "/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/test-rg/providers/Microsoft.AzureStackHCI/networkInterfaces/test-nic-2/ipConfigurations/ipconfig1"
        },
        "publicIPAddress": {
          "resourceId": "/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/test-rg/providers/Microsoft.AzureStackHCI/publicIPAddresses/test-public-ip"
        },
        "provisioningState": "Succeeded",
        "status": {
          "provisioningStatus": {
            "operationId": "87654321-4321-4321-4321-210987654321",
            "status": "Succeeded"
          }
        }
      }
    }
  ]
}

定義

名稱 Description
createdByType

建立資源的身分識別類型。

ErrorAdditionalInfo

資源管理錯誤附加資訊。

ErrorDetail

錯誤詳細資料。

ErrorResponse

錯誤回應

ExtendedLocation

擴充位置的複雜類型。

ExtendedLocationTypes

extendedLocation 的類型。

InboundNATRuleProtocol

入站NAT規則的協定

InboundRule

輸入規則資源定義。

InboundRuleListResult

InboundRule 清單操作的回應。

InboundRuleProperties

Inbound rule properties - 擴充 InboundNATRuleProperties 並提供額外的狀態追蹤

InboundRuleStatus

觀察到的進站規則狀態

InboundRuleStatusProvisioningStatus

入站規則的配置狀態

IPConfigurationArmReference

IPConfiguration 資源的 Azure Resource ID

ProvisioningStateEnum

資源布建狀態。

PublicIPAddressArmReference

公共 IP 資源的 Azure 資源 ID

Status

在資源上執行的作業狀態 [Succeeded, Failed, InProgress]

systemData

與建立和上次修改資源相關的元數據。

createdByType

建立資源的身分識別類型。

Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

資源管理錯誤附加資訊。

名稱 類型 Description
info

object

附加資訊。

type

string

其他資訊類型。

ErrorDetail

錯誤詳細資料。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤附加資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳情

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

錯誤回應

名稱 類型 Description
error

ErrorDetail

錯誤物件。

ExtendedLocation

擴充位置的複雜類型。

名稱 類型 Description
name

string

擴充位置的名稱。

type

ExtendedLocationTypes

擴充位置的類型。

ExtendedLocationTypes

extendedLocation 的類型。

Description
CustomLocation

自定義擴充位置類型

InboundNATRuleProtocol

入站NAT規則的協定

Description
Tcp

TCP - 僅負載平衡 TCP 流量

Udp

UDP - 僅 UDP 流量的負載平衡

InboundRule

輸入規則資源定義。

名稱 類型 Description
extendedLocation

ExtendedLocation

資源的 extendedLocation。

id

string (arm-id)

資源的完整資源識別碼。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

name

string

資源的名稱

properties

InboundRuleProperties

此資源的資源特定屬性。

systemData

systemData

包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 中繼資料。

type

string

資源的類型。 例如“Microsoft.Compute/virtualMachines” 或 “Microsoft.Storage/storageAccounts”

InboundRuleListResult

InboundRule 清單操作的回應。

名稱 類型 Description
nextLink

string (uri)

專案下一頁的連結

value

InboundRule[]

本頁的 InboundRule 項目

InboundRuleProperties

Inbound rule properties - 擴充 InboundNATRuleProperties 並提供額外的狀態追蹤

名稱 類型 Description
backendIPConfiguration

IPConfigurationArmReference

目標後端的 IP 設定。

backendPort

integer (int32)

後端埠用於輸入規則

frontendPort

integer (int32)

前端埠用於入站規則

protocol

InboundNATRuleProtocol

NAT 規則的協定

provisioningState

ProvisioningStateEnum

入站規則的配置狀態

publicIPAddress

PublicIPAddressArmReference

此 NAT 規則的公共 IP 位址

status

InboundRuleStatus

觀察到的進站規則狀態

InboundRuleStatus

觀察到的進站規則狀態

名稱 類型 Description
errorCode

string

InboundRule 配置錯誤代碼

errorMessage

string

描述性錯誤訊息

provisioningStatus

InboundRuleStatusProvisioningStatus

InboundRule 配置狀態

InboundRuleStatusProvisioningStatus

入站規則的配置狀態

名稱 類型 Description
operationId

string

輸入規則所執行操作的識別碼

status

Status

輸入規則執行的操作狀態 [成功、失敗、進行中]

IPConfigurationArmReference

IPConfiguration 資源的 Azure Resource ID

名稱 類型 Description
resourceId

string (arm-id)

IPConfiguration 資源的 Azure Resource ID

ProvisioningStateEnum

資源布建狀態。

Description
Succeeded

布建成功

Failed

布建失敗

InProgress

布建正在進行中

Accepted

已接受布建

Deleting

正在刪除資源

Canceled

布建已取消

PublicIPAddressArmReference

公共 IP 資源的 Azure 資源 ID

名稱 類型 Description
resourceId

string (arm-id)

公共 IP 資源的 Azure 資源 ID

Status

在資源上執行的作業狀態 [Succeeded, Failed, InProgress]

Description
Succeeded

作業成功

Failed

作業失敗

InProgress

作業正在進行中

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立資源的身分識別。

createdByType

createdByType

建立資源的身分識別類型。

lastModifiedAt

string (date-time)

資源上次修改的時間戳記 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分識別類型。